%define debug_package	%{nil}

%define rel	2

%define svn	0
%define pre	0
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%name-%svn.tar.lzma
%define dirname		%name
%else
%if %pre
%define release		%mkrel 0.%pre.%rel
%define distname	%name-%version.%pre.tar.gz
%define dirname		%name-%version.%pre
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.gz
%define dirname		%name-%version
%endif
%endif

# It's the same for releases, but different for pre-releases: please
# don't remove, even if it seems superfluous - AdamW 2008/03
%define fversion	0.3.5

Summary:	'Ugly' plugins for the Elisa media center
Name:		elisa-plugins-ugly
Version:	0.3.4
Release:	%{release}
# For SVN:
# svn co https://code.fluendo.com/elisa/svn/trunk elisa
Source0:	http://elisa.fluendo.com/static/download/elisa/%{distname}
License:	GPLv3 and MIT
Group:		Development/Python
URL:		http://elisa.fluendo.com/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python
BuildRequires:	python-setuptools
BuildRequires:	python-devel
BuildRequires:	python-twisted
BuildRequires:	ImageMagick
BuildRequires:	desktop-file-utils
BuildRequires:	gstreamer0.10-python
BuildRequires:	elisa-core >= %{version}
Requires:	elisa-plugins-good >= %{version}
Suggests:	twill

%description
Elisa is a project to create an open source cross platform media center 
solution. This package contains 'ugly' plugins for Elisa.

%prep
%setup -q -n %{dirname}

%build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --single-version-externally-managed --compile --optimize=2
# already in -good
rm -f %{buildroot}%{py_puresitedir}/elisa/plugins/__init__*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{py_puresitedir}/elisa/plugins/*
%{py_puresitedir}/elisa_plugins_ugly-%{fversion}-py%{pyver}.egg-info
%{py_puresitedir}/elisa_plugins_ugly-%{fversion}-py%{pyver}-nspkg.pth



%changelog
* Thu Apr 17 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-2mdv2008.1
+ Revision: 195042
- suggests twill

* Wed Apr 16 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-1mdv2009.0
+ Revision: 194711
- import elisa-plugins-ugly


